#!/usr/bin/env sh

echo ""
echo "+-----------------+"
echo "| ./gradlew clean |"
echo "+-----------------+"
echo ""
./gradlew clean

echo ""
echo "+---------------------------+"
echo "| ./gradlew packageAppImage |"
echo "+---------------------------+"
echo ""
./gradlew packageAppImage

echo ""
echo "+------------------------------------------+"
echo "| ./gradlew wasmJsBrowserProductionWebpack |"
echo "+------------------------------------------+"
echo ""
./gradlew wasmJsBrowserProductionWebpack

echo ""
echo "+-------------------------------------+"
echo "| ./gradlew wasmJsBrowserDistribution |"
echo "+-------------------------------------+"
echo ""
./gradlew wasmJsBrowserDistribution

echo ""
echo "+-------------------------------------------------------------------------------------------------------------+"
echo "| tar -czf simd-frontend@linux.tar.gz -C composeApp/build/compose/binaries/main/app/ com.jaytux.simd.frontend |"
echo "+-------------------------------------------------------------------------------------------------------------+"
echo ""
tar -czf simd-frontend@linux.tar.gz -C composeApp/build/compose/binaries/main/app/ com.jaytux.simd.frontend

echo ""
echo "+----------------------------------------------------------------------------------------+"
echo "| tar -czf simd-frontend@web.tar.gz -C composeApp/build/dist/wasmJs productionExecutable |"
echo "+----------------------------------------------------------------------------------------+"
echo ""
tar -czf simd-frontend@web.tar.gz -C composeApp/build/dist/wasmJs productionExecutable
